| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.Writer Class Reference
Inheritance diagram for iolink.iolink.Writer:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| write_all (self)
| write_init (self)
| write_data (self)
| write_finish (self)
| name (self)
| version (self)
| set_option (self, parameter, data)
| to_string (self)
| __repr__ (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Interface to use in order to output a view to another medium.

## Member Function Documentation

## ◆ name()

iolink.iolink.Writer.name | ( |  | self | ) |

    Returns the name of the writer

## ◆ set_option()

iolink.iolink.Writer.set_option | ( |  | self,
|  |  | parameter,
|  |  | data
| ) |  |

        Set an option value to writer

        :type parameter: string
        :param parameter: name of parameter whose value must be set
        :type data: :py:class:`VariantDataValue`
        :param data: value to set for the given parameter. Must be built with MetadataValue factory

        :raises: Error if parameter is not known or given data is not valid

## ◆ to_string()

iolink.iolink.Writer.to_string | ( |  | self | ) |

    Return a string representation

## ◆ version()

iolink.iolink.Writer.version | ( |  | self | ) |

    Returns the version of the writer

## ◆ write_all()

iolink.iolink.Writer.write_all | ( |  | self | ) |

    Output all the data.

## ◆ write_data()

iolink.iolink.Writer.write_data | ( |  | self | ) |

    Output the data. Should be called between writeInit() and writeFinish().

## ◆ write_finish()

iolink.iolink.Writer.write_finish | ( |  | self | ) |

    Write footer (if any) and finalize file. Should be called after writeData().

## ◆ write_init()

iolink.iolink.Writer.write_init | ( |  | self | ) |

    Initialize file and output only the header

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py